PATCH /account/settings
Replace supplied settings sections without changing omitted sections.
TypeScript SDKThe npm client, generated from the API spec.Python SDKThe PyPI client, sync and async.
| Method | Path |
|---|---|
| PATCH | /v1/account/settings |
Changes to model or budget defaults require a GitHub administrator.
curl -X PATCH "https://api.ellipsis.dev/v1/account/settings" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.account.settings.update()
print(result)import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.account.settings.update();
console.log(result);Request
Example request body
{
"default_model": "string",
}
Body parameters
analyticsAnalyticsSettings
budget_ceilingBudgetCeiling
The organization's spend ceilings, in US dollars.
code_reviewCodeReviewSettings
data_retentionDataRetentionSettings
default_modelstring
mentionMentionSettings
notificationsNotificationSettings
Response
Example response · 200
{
"default_model": "string",
}